Index: npl/perl/perlmod_Canary_Stability/perlmod_Canary_Stability.depver
===================================================================
--- npl/perl/perlmod_Canary_Stability/perlmod_Canary_Stability.depver	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Canary_Stability/perlmod_Canary_Stability.depver	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+perl	1
Index: npl/perl/perlmod_Canary_Stability/perlmod_Canary_Stability.md5
===================================================================
--- npl/perl/perlmod_Canary_Stability/perlmod_Canary_Stability.md5	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Canary_Stability/perlmod_Canary_Stability.md5	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,4 @@
+88516c29e3d7807a5943ce3a3bdcdb31  ./Canary-Stability-2012.tar.gz
+b3d4f680f5d5ffa7cca26971b2c6edeb  ./perlmod_Canary_Stability.pkg
+bb09aab114319f065c06c58695e2f447  ./perlmod_Canary_Stability.SlackBuild
+460eb1ad32fa9a64ff781479b9443f95  ./perlmod_Canary_Stability.SlackBuild.log.gz
Index: npl/perl/perlmod_Canary_Stability/perlmod_Canary_Stability.version
===================================================================
--- npl/perl/perlmod_Canary_Stability/perlmod_Canary_Stability.version	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Canary_Stability/perlmod_Canary_Stability.version	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+2012
Index: npl/perl/perlmod_Class_Data_Inheritable/perlmod_Class_Data_Inheritable.SlackBuild
===================================================================
--- npl/perl/perlmod_Class_Data_Inheritable/perlmod_Class_Data_Inheritable.SlackBuild	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Class_Data_Inheritable/perlmod_Class_Data_Inheritable.SlackBuild	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,33 @@
+#!/bin/bash
+#DEP:perl
+
+#Standaard script voor Syn-3 perlmodules.
+#Dit script build alle perlmodule .tar.gz files in de huidige directory, en maakt
+#er Syn-3 packages van.
+
+CWD=`pwd`
+PKGROOT=`pwd`/pkgtmp
+
+for TAR in *.tar.gz; do
+	TARDIR=`echo $TAR|sed 's/.tar.gz//'` || exit 1
+	VER=`echo $TARDIR|sed 's/.*-//'` || exit 1
+	NAME=perlmod_`echo $TARDIR| sed 's/-[^-]*$//' | sed 's/-/_/g'` || exit 1
+	
+	rm -r $PKGROOT 2>/dev/null
+	mkdir -p $PKGROOT
+	
+	#standard way to build a perl module
+	cd $CWD || exit 1
+	export PERL_INSTALL_ROOT=$PKGROOT
+	tar -xzf $TAR || exit 1
+	cd $TARDIR || exit 1
+	perl Makefile.PL || exit 1
+	make || exit 1
+	make test || exit 1
+	make install || exit 1
+	
+	cd $PKGROOT
+	makepkg -l y -c n $CWD/$NAME.pkg > /dev/null &&
+	echo $VER > $CWD/$NAME.version &&
+	arch > $CWD/$NAME.arch
+done
Index: npl/perl/perlmod_Class_Data_Inheritable/perlmod_Class_Data_Inheritable.arch
===================================================================
--- npl/perl/perlmod_Class_Data_Inheritable/perlmod_Class_Data_Inheritable.arch	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Class_Data_Inheritable/perlmod_Class_Data_Inheritable.arch	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+i586
Index: npl/perl/perlmod_Class_Data_Inheritable/perlmod_Class_Data_Inheritable.build
===================================================================
--- npl/perl/perlmod_Class_Data_Inheritable/perlmod_Class_Data_Inheritable.build	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Class_Data_Inheritable/perlmod_Class_Data_Inheritable.build	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+2
Index: npl/perl/perlmod_Class_Data_Inheritable/perlmod_Class_Data_Inheritable.depver
===================================================================
--- npl/perl/perlmod_Class_Data_Inheritable/perlmod_Class_Data_Inheritable.depver	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Class_Data_Inheritable/perlmod_Class_Data_Inheritable.depver	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+perl	1
Index: npl/perl/perlmod_Class_Data_Inheritable/perlmod_Class_Data_Inheritable.md5
===================================================================
--- npl/perl/perlmod_Class_Data_Inheritable/perlmod_Class_Data_Inheritable.md5	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Class_Data_Inheritable/perlmod_Class_Data_Inheritable.md5	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,4 @@
+fc0fe65926eb8fb932743559feb54eb9  ./Class-Data-Inheritable-0.08.tar.gz
+97fcf13b64be8cd8744cf19e00982871  ./perlmod_Class_Data_Inheritable.pkg
+0fb5f4fcb61317ff8fcf2678bf7bfd0c  ./perlmod_Class_Data_Inheritable.SlackBuild
+e693b0ac8c4091d4e6b1af6f8c620a46  ./perlmod_Class_Data_Inheritable.SlackBuild.log.gz
Index: npl/perl/perlmod_Class_Data_Inheritable/perlmod_Class_Data_Inheritable.version
===================================================================
--- npl/perl/perlmod_Class_Data_Inheritable/perlmod_Class_Data_Inheritable.version	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Class_Data_Inheritable/perlmod_Class_Data_Inheritable.version	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+0.08
Index: npl/perl/perlmod_Convert_ASN1/perlmod_Convert_ASN1.SlackBuild
===================================================================
--- npl/perl/perlmod_Convert_ASN1/perlmod_Convert_ASN1.SlackBuild	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Convert_ASN1/perlmod_Convert_ASN1.SlackBuild	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,36 @@
+#!/bin/bash
+#DEP:perl
+#DEP:perlmod_IO_stringy
+#DEP:perlmod_Canary_Stability
+#DEP:perlmod_MIME_tools
+
+#Standaard script voor Syn-3 perlmodules.
+#Dit script build alle perlmodule .tar.gz files in de huidige directory, en maakt
+#er Syn-3 packages van.
+
+CWD=`pwd`
+PKGROOT=`pwd`/pkgtmp
+
+for TAR in *.tar.gz; do
+	TARDIR=`echo $TAR|sed 's/.tar.gz//'` || exit 1
+	VER=`echo $TARDIR|sed 's/.*-//'` || exit 1
+	NAME=perlmod_`echo $TARDIR| sed 's/-[^-]*$//' | sed 's/-/_/g'` || exit 1
+	
+	rm -r $PKGROOT 2>/dev/null
+	mkdir -p $PKGROOT
+	
+	#standard way to build a perl module
+	cd $CWD || exit 1
+	export PERL_INSTALL_ROOT=$PKGROOT
+	tar -xzf $TAR || exit 1
+	cd $TARDIR || exit 1
+	perl Makefile.PL || exit 1
+	make || exit 1
+	make test || exit 1
+	make install || exit 1
+	
+	cd $PKGROOT
+	makepkg -l y -c n $CWD/$NAME.pkg > /dev/null &&
+	echo $VER > $CWD/$NAME.version &&
+	arch > $CWD/$NAME.arch
+done
Index: npl/perl/perlmod_Convert_ASN1/perlmod_Convert_ASN1.arch
===================================================================
--- npl/perl/perlmod_Convert_ASN1/perlmod_Convert_ASN1.arch	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Convert_ASN1/perlmod_Convert_ASN1.arch	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+i586
Index: npl/perl/perlmod_Convert_ASN1/perlmod_Convert_ASN1.build
===================================================================
--- npl/perl/perlmod_Convert_ASN1/perlmod_Convert_ASN1.build	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Convert_ASN1/perlmod_Convert_ASN1.build	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+2
Index: npl/perl/perlmod_Convert_ASN1/perlmod_Convert_ASN1.depver
===================================================================
--- npl/perl/perlmod_Convert_ASN1/perlmod_Convert_ASN1.depver	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Convert_ASN1/perlmod_Convert_ASN1.depver	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,4 @@
+perl	1
+perlmod_IO_stringy	0
+perlmod_Canary_Stability	0
+perlmod_MIME_tools	0
Index: npl/perl/perlmod_Convert_ASN1/perlmod_Convert_ASN1.md5
===================================================================
--- npl/perl/perlmod_Convert_ASN1/perlmod_Convert_ASN1.md5	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Convert_ASN1/perlmod_Convert_ASN1.md5	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,4 @@
+68723e96be0b258a9e20480276e8a62c  ./Convert-ASN1-0.27.tar.gz
+9ebcdb49abc86d9838b6be0209140e34  ./perlmod_Convert_ASN1.pkg
+4d7118a596abfde0587fca0213d34d88  ./perlmod_Convert_ASN1.SlackBuild
+4ce4c8e06189df5da0ed2e1bde20b6ba  ./perlmod_Convert_ASN1.SlackBuild.log.gz
Index: npl/perl/perlmod_Convert_ASN1/perlmod_Convert_ASN1.version
===================================================================
--- npl/perl/perlmod_Convert_ASN1/perlmod_Convert_ASN1.version	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Convert_ASN1/perlmod_Convert_ASN1.version	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+0.27
Index: npl/perl/perlmod_Convert_BinHex/perlmod_Convert_BinHex.SlackBuild
===================================================================
--- npl/perl/perlmod_Convert_BinHex/perlmod_Convert_BinHex.SlackBuild	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Convert_BinHex/perlmod_Convert_BinHex.SlackBuild	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,42 @@
+#!/bin/bash
+#DEP:perl
+#DEP:perlmod_Test_Most
+#DEP:perlmod_Exception_Class
+#DEP:perlmod_Class_Data_Inheritable
+#DEP:perlmod_Devel_StackTrace
+#DEP:perlmod_Test_Deep
+#DEP:perlmod_Test_Exception
+#DEP:perlmod_Test_Differences
+#DEP:perlmod_Text_Diff
+#DEP:perlmod_File_Slurp
+
+#Standaard script voor Syn-3 perlmodules.
+#Dit script build alle perlmodule .tar.gz files in de huidige directory, en maakt
+#er Syn-3 packages van.
+
+CWD=`pwd`
+PKGROOT=`pwd`/pkgtmp
+
+for TAR in *.tar.gz; do
+	TARDIR=`echo $TAR|sed 's/.tar.gz//'` || exit 1
+	VER=`echo $TARDIR|sed 's/.*-//'` || exit 1
+	NAME=perlmod_`echo $TARDIR| sed 's/-[^-]*$//' | sed 's/-/_/g'` || exit 1
+	
+	rm -r $PKGROOT 2>/dev/null
+	mkdir -p $PKGROOT
+	
+	#standard way to build a perl module
+	cd $CWD || exit 1
+	export PERL_INSTALL_ROOT=$PKGROOT
+	tar -xzf $TAR || exit 1
+	cd $TARDIR || exit 1
+	perl Makefile.PL || exit 1
+	make || exit 1
+	make test || exit 1
+	make install || exit 1
+	
+	cd $PKGROOT
+	makepkg -l y -c n $CWD/$NAME.pkg > /dev/null &&
+	echo $VER > $CWD/$NAME.version &&
+	arch > $CWD/$NAME.arch
+done
Index: npl/perl/perlmod_Convert_BinHex/perlmod_Convert_BinHex.arch
===================================================================
--- npl/perl/perlmod_Convert_BinHex/perlmod_Convert_BinHex.arch	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Convert_BinHex/perlmod_Convert_BinHex.arch	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+i586
Index: npl/perl/perlmod_Convert_BinHex/perlmod_Convert_BinHex.build
===================================================================
--- npl/perl/perlmod_Convert_BinHex/perlmod_Convert_BinHex.build	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Convert_BinHex/perlmod_Convert_BinHex.build	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+2
Index: npl/perl/perlmod_Convert_BinHex/perlmod_Convert_BinHex.depver
===================================================================
--- npl/perl/perlmod_Convert_BinHex/perlmod_Convert_BinHex.depver	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Convert_BinHex/perlmod_Convert_BinHex.depver	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,10 @@
+perl	1
+perlmod_Test_Most	0
+perlmod_Exception_Class	0
+perlmod_Class_Data_Inheritable	0
+perlmod_Devel_StackTrace	0
+perlmod_Test_Deep	0
+perlmod_Test_Exception	0
+perlmod_Test_Differences	0
+perlmod_Text_Diff	0
+perlmod_File_Slurp	0
Index: npl/perl/perlmod_Convert_BinHex/perlmod_Convert_BinHex.md5
===================================================================
--- npl/perl/perlmod_Convert_BinHex/perlmod_Convert_BinHex.md5	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Convert_BinHex/perlmod_Convert_BinHex.md5	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,4 @@
+2f485e1283387ead5b92243e1aacff9d  ./Convert-BinHex-1.125.tar.gz
+131d27fe6a1a3d313636218025a2f43b  ./perlmod_Convert_BinHex.pkg
+e1aa050d0e574b96f2075fb825d87504  ./perlmod_Convert_BinHex.SlackBuild
+b3a5ee6714902deb27681f22ad566ace  ./perlmod_Convert_BinHex.SlackBuild.log.gz
Index: npl/perl/perlmod_Convert_BinHex/perlmod_Convert_BinHex.version
===================================================================
--- npl/perl/perlmod_Convert_BinHex/perlmod_Convert_BinHex.version	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Convert_BinHex/perlmod_Convert_BinHex.version	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+1.125
Index: npl/perl/perlmod_Convert_TNEF/perlmod_Convert_TNEF.SlackBuild
===================================================================
--- npl/perl/perlmod_Convert_TNEF/perlmod_Convert_TNEF.SlackBuild	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Convert_TNEF/perlmod_Convert_TNEF.SlackBuild	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,35 @@
+#!/bin/bash
+#DEP:perl
+#DEP:perlmod_IO_stringy
+#DEP:perlmod_MIME_tools
+
+#Standaard script voor Syn-3 perlmodules.
+#Dit script build alle perlmodule .tar.gz files in de huidige directory, en maakt
+#er Syn-3 packages van.
+
+CWD=`pwd`
+PKGROOT=`pwd`/pkgtmp
+
+for TAR in *.tar.gz; do
+	TARDIR=`echo $TAR|sed 's/.tar.gz//'` || exit 1
+	VER=`echo $TARDIR|sed 's/.*-//'` || exit 1
+	NAME=perlmod_`echo $TARDIR| sed 's/-[^-]*$//' | sed 's/-/_/g'` || exit 1
+	
+	rm -r $PKGROOT 2>/dev/null
+	mkdir -p $PKGROOT
+	
+	#standard way to build a perl module
+	cd $CWD || exit 1
+	export PERL_INSTALL_ROOT=$PKGROOT
+	tar -xzf $TAR || exit 1
+	cd $TARDIR || exit 1
+	perl Makefile.PL || exit 1
+	make || exit 1
+	make test || exit 1
+	make install || exit 1
+	
+	cd $PKGROOT
+	makepkg -l y -c n $CWD/$NAME.pkg > /dev/null &&
+	echo $VER > $CWD/$NAME.version &&
+	arch > $CWD/$NAME.arch
+done
Index: npl/perl/perlmod_Convert_TNEF/perlmod_Convert_TNEF.arch
===================================================================
--- npl/perl/perlmod_Convert_TNEF/perlmod_Convert_TNEF.arch	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Convert_TNEF/perlmod_Convert_TNEF.arch	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+i586
Index: npl/perl/perlmod_Convert_TNEF/perlmod_Convert_TNEF.build
===================================================================
--- npl/perl/perlmod_Convert_TNEF/perlmod_Convert_TNEF.build	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Convert_TNEF/perlmod_Convert_TNEF.build	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+1
Index: npl/perl/perlmod_Convert_TNEF/perlmod_Convert_TNEF.depver
===================================================================
--- npl/perl/perlmod_Convert_TNEF/perlmod_Convert_TNEF.depver	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Convert_TNEF/perlmod_Convert_TNEF.depver	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,3 @@
+perl	1
+perlmod_IO_stringy	0
+perlmod_MIME_tools	0
Index: npl/perl/perlmod_Convert_TNEF/perlmod_Convert_TNEF.md5
===================================================================
--- npl/perl/perlmod_Convert_TNEF/perlmod_Convert_TNEF.md5	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Convert_TNEF/perlmod_Convert_TNEF.md5	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,4 @@
+6f69ff242a807b861c6e68a3d93a58f7  ./Convert-TNEF-0.18.tar.gz
+f70870fa3a90c8e4a4fd7ae59cfbaa7c  ./perlmod_Convert_TNEF.pkg
+6a2e61cdc00efc107b9f4c8ca8340e4c  ./perlmod_Convert_TNEF.SlackBuild
+135b4f30898f6648f975d9037e890847  ./perlmod_Convert_TNEF.SlackBuild.log.gz
Index: npl/perl/perlmod_Convert_TNEF/perlmod_Convert_TNEF.version
===================================================================
--- npl/perl/perlmod_Convert_TNEF/perlmod_Convert_TNEF.version	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Convert_TNEF/perlmod_Convert_TNEF.version	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+0.18
Index: npl/perl/perlmod_Convert_UUlib/perlmod_Convert_UUlib.SlackBuild
===================================================================
--- npl/perl/perlmod_Convert_UUlib/perlmod_Convert_UUlib.SlackBuild	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Convert_UUlib/perlmod_Convert_UUlib.SlackBuild	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,36 @@
+#!/bin/bash
+#DEP:perl
+#DEP:perlmod_IO_stringy
+#DEP:perlmod_MIME_tools
+#DEP:perlmod_Canary_Stability
+
+#Standaard script voor Syn-3 perlmodules.
+#Dit script build alle perlmodule .tar.gz files in de huidige directory, en maakt
+#er Syn-3 packages van.
+
+CWD=`pwd`
+PKGROOT=`pwd`/pkgtmp
+
+for TAR in *.tar.gz; do
+	TARDIR=`echo $TAR|sed 's/.tar.gz//'` || exit 1
+	VER=`echo $TARDIR|sed 's/.*-//'` || exit 1
+	NAME=perlmod_`echo $TARDIR| sed 's/-[^-]*$//' | sed 's/-/_/g'` || exit 1
+	
+	rm -r $PKGROOT 2>/dev/null
+	mkdir -p $PKGROOT
+	
+	#standard way to build a perl module
+	cd $CWD || exit 1
+	export PERL_INSTALL_ROOT=$PKGROOT
+	tar -xzf $TAR || exit 1
+	cd $TARDIR || exit 1
+	perl Makefile.PL || exit 1
+	make || exit 1
+	make test || exit 1
+	make install || exit 1
+	
+	cd $PKGROOT
+	makepkg -l y -c n $CWD/$NAME.pkg > /dev/null &&
+	echo $VER > $CWD/$NAME.version &&
+	arch > $CWD/$NAME.arch
+done
Index: npl/perl/perlmod_Convert_UUlib/perlmod_Convert_UUlib.arch
===================================================================
--- npl/perl/perlmod_Convert_UUlib/perlmod_Convert_UUlib.arch	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Convert_UUlib/perlmod_Convert_UUlib.arch	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+i586
Index: npl/perl/perlmod_Convert_UUlib/perlmod_Convert_UUlib.build
===================================================================
--- npl/perl/perlmod_Convert_UUlib/perlmod_Convert_UUlib.build	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Convert_UUlib/perlmod_Convert_UUlib.build	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+1
Index: npl/perl/perlmod_Convert_UUlib/perlmod_Convert_UUlib.depver
===================================================================
--- npl/perl/perlmod_Convert_UUlib/perlmod_Convert_UUlib.depver	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Convert_UUlib/perlmod_Convert_UUlib.depver	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,4 @@
+perl	1
+perlmod_IO_stringy	0
+perlmod_MIME_tools	0
+perlmod_Canary_Stability	0
Index: npl/perl/perlmod_Convert_UUlib/perlmod_Convert_UUlib.md5
===================================================================
--- npl/perl/perlmod_Convert_UUlib/perlmod_Convert_UUlib.md5	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Convert_UUlib/perlmod_Convert_UUlib.md5	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,4 @@
+3332731b274723772ee8ad79c45bc401  ./Convert-UUlib-1.5.tar.gz
+a418e9d31595050479c285a2cc300386  ./perlmod_Convert_UUlib.pkg
+31b69d13294e06f08f3af1b2d1d7602f  ./perlmod_Convert_UUlib.SlackBuild
+eaa1e21ea5cdcba4a227587004db1902  ./perlmod_Convert_UUlib.SlackBuild.log.gz
Index: npl/perl/perlmod_Convert_UUlib/perlmod_Convert_UUlib.version
===================================================================
--- npl/perl/perlmod_Convert_UUlib/perlmod_Convert_UUlib.version	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Convert_UUlib/perlmod_Convert_UUlib.version	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+1.5
Index: npl/perl/perlmod_Devel_StackTrace/perlmod_Devel_StackTrace.SlackBuild
===================================================================
--- npl/perl/perlmod_Devel_StackTrace/perlmod_Devel_StackTrace.SlackBuild	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Devel_StackTrace/perlmod_Devel_StackTrace.SlackBuild	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,33 @@
+#!/bin/bash
+#DEP:perl
+
+#Standaard script voor Syn-3 perlmodules.
+#Dit script build alle perlmodule .tar.gz files in de huidige directory, en maakt
+#er Syn-3 packages van.
+
+CWD=`pwd`
+PKGROOT=`pwd`/pkgtmp
+
+for TAR in *.tar.gz; do
+	TARDIR=`echo $TAR|sed 's/.tar.gz//'` || exit 1
+	VER=`echo $TARDIR|sed 's/.*-//'` || exit 1
+	NAME=perlmod_`echo $TARDIR| sed 's/-[^-]*$//' | sed 's/-/_/'` || exit 1
+	
+	rm -r $PKGROOT 2>/dev/null
+	mkdir -p $PKGROOT
+	
+	#standard way to build a perl module
+	cd $CWD || exit 1
+	export PERL_INSTALL_ROOT=$PKGROOT
+	tar -xzf $TAR || exit 1
+	cd $TARDIR || exit 1
+	perl Makefile.PL || exit 1
+	make || exit 1
+	make test || exit 1
+	make install || exit 1
+	
+	cd $PKGROOT
+	makepkg -l y -c n $CWD/$NAME.pkg > /dev/null &&
+	echo $VER > $CWD/$NAME.version &&
+	arch > $CWD/$NAME.arch
+done
Index: npl/perl/perlmod_Devel_StackTrace/perlmod_Devel_StackTrace.arch
===================================================================
--- npl/perl/perlmod_Devel_StackTrace/perlmod_Devel_StackTrace.arch	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Devel_StackTrace/perlmod_Devel_StackTrace.arch	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+i586
Index: npl/perl/perlmod_Devel_StackTrace/perlmod_Devel_StackTrace.build
===================================================================
--- npl/perl/perlmod_Devel_StackTrace/perlmod_Devel_StackTrace.build	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Devel_StackTrace/perlmod_Devel_StackTrace.build	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+2
Index: npl/perl/perlmod_Devel_StackTrace/perlmod_Devel_StackTrace.depver
===================================================================
--- npl/perl/perlmod_Devel_StackTrace/perlmod_Devel_StackTrace.depver	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Devel_StackTrace/perlmod_Devel_StackTrace.depver	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+perl	1
Index: npl/perl/perlmod_Devel_StackTrace/perlmod_Devel_StackTrace.md5
===================================================================
--- npl/perl/perlmod_Devel_StackTrace/perlmod_Devel_StackTrace.md5	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Devel_StackTrace/perlmod_Devel_StackTrace.md5	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,4 @@
+1eb6874d834f3d5d15fa626dd726df77  ./Devel-StackTrace-2.03.tar.gz
+7bec090f8cfb8027e64d125dcfe0560a  ./perlmod_Devel_StackTrace.pkg
+bb09aab114319f065c06c58695e2f447  ./perlmod_Devel_StackTrace.SlackBuild
+d910e28c382df586a44e9469e2658b7c  ./perlmod_Devel_StackTrace.SlackBuild.log.gz
Index: npl/perl/perlmod_Devel_StackTrace/perlmod_Devel_StackTrace.version
===================================================================
--- npl/perl/perlmod_Devel_StackTrace/perlmod_Devel_StackTrace.version	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Devel_StackTrace/perlmod_Devel_StackTrace.version	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+2.03
Index: npl/perl/perlmod_Exception_Class/perlmod_Exception_Class.SlackBuild
===================================================================
--- npl/perl/perlmod_Exception_Class/perlmod_Exception_Class.SlackBuild	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Exception_Class/perlmod_Exception_Class.SlackBuild	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,35 @@
+#!/bin/bash
+#DEP:perl
+#DEP:perlmod_Class_Data_Inheritable
+#DEP:perlmod_Devel_StackTrace
+
+#Standaard script voor Syn-3 perlmodules.
+#Dit script build alle perlmodule .tar.gz files in de huidige directory, en maakt
+#er Syn-3 packages van.
+
+CWD=`pwd`
+PKGROOT=`pwd`/pkgtmp
+
+for TAR in *.tar.gz; do
+	TARDIR=`echo $TAR|sed 's/.tar.gz//'` || exit 1
+	VER=`echo $TARDIR|sed 's/.*-//'` || exit 1
+	NAME=perlmod_`echo $TARDIR| sed 's/-[^-]*$//' | sed 's/-/_/g'` || exit 1
+	
+	rm -r $PKGROOT 2>/dev/null
+	mkdir -p $PKGROOT
+	
+	#standard way to build a perl module
+	cd $CWD || exit 1
+	export PERL_INSTALL_ROOT=$PKGROOT
+	tar -xzf $TAR || exit 1
+	cd $TARDIR || exit 1
+	perl Makefile.PL || exit 1
+	make || exit 1
+	make test || exit 1
+	make install || exit 1
+	
+	cd $PKGROOT
+	makepkg -l y -c n $CWD/$NAME.pkg > /dev/null &&
+	echo $VER > $CWD/$NAME.version &&
+	arch > $CWD/$NAME.arch
+done
Index: npl/perl/perlmod_Exception_Class/perlmod_Exception_Class.arch
===================================================================
--- npl/perl/perlmod_Exception_Class/perlmod_Exception_Class.arch	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Exception_Class/perlmod_Exception_Class.arch	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+i586
Index: npl/perl/perlmod_Exception_Class/perlmod_Exception_Class.build
===================================================================
--- npl/perl/perlmod_Exception_Class/perlmod_Exception_Class.build	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Exception_Class/perlmod_Exception_Class.build	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+2
Index: npl/perl/perlmod_Exception_Class/perlmod_Exception_Class.depver
===================================================================
--- npl/perl/perlmod_Exception_Class/perlmod_Exception_Class.depver	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Exception_Class/perlmod_Exception_Class.depver	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,3 @@
+perl	1
+perlmod_Class_Data_Inheritable	0
+perlmod_Devel_StackTrace	0
Index: npl/perl/perlmod_Exception_Class/perlmod_Exception_Class.md5
===================================================================
--- npl/perl/perlmod_Exception_Class/perlmod_Exception_Class.md5	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Exception_Class/perlmod_Exception_Class.md5	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,4 @@
+6b5bb8e4ad2b1f6120fc1d33ae45e91b  ./Exception-Class-1.44.tar.gz
+985d22667dce32acefc271e837b2373c  ./perlmod_Exception_Class.pkg
+43ca0c26fd283078a674643be44b26be  ./perlmod_Exception_Class.SlackBuild
+5d223ff0ad76ebfae4b1fda5602a5570  ./perlmod_Exception_Class.SlackBuild.log.gz
Index: npl/perl/perlmod_Exception_Class/perlmod_Exception_Class.version
===================================================================
--- npl/perl/perlmod_Exception_Class/perlmod_Exception_Class.version	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Exception_Class/perlmod_Exception_Class.version	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+1.44
Index: npl/perl/perlmod_File_Slurp/perlmod_File_Slurp.SlackBuild
===================================================================
--- npl/perl/perlmod_File_Slurp/perlmod_File_Slurp.SlackBuild	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_File_Slurp/perlmod_File_Slurp.SlackBuild	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,33 @@
+#!/bin/bash
+#DEP:perl
+
+#Standaard script voor Syn-3 perlmodules.
+#Dit script build alle perlmodule .tar.gz files in de huidige directory, en maakt
+#er Syn-3 packages van.
+
+CWD=`pwd`
+PKGROOT=`pwd`/pkgtmp
+
+for TAR in *.tar.gz; do
+	TARDIR=`echo $TAR|sed 's/.tar.gz//'` || exit 1
+	VER=`echo $TARDIR|sed 's/.*-//'` || exit 1
+	NAME=perlmod_`echo $TARDIR| sed 's/-[^-]*$//' | sed 's/-/_/g'` || exit 1
+	
+	rm -r $PKGROOT 2>/dev/null
+	mkdir -p $PKGROOT
+	
+	#standard way to build a perl module
+	cd $CWD || exit 1
+	export PERL_INSTALL_ROOT=$PKGROOT
+	tar -xzf $TAR || exit 1
+	cd $TARDIR || exit 1
+	perl Makefile.PL || exit 1
+	make || exit 1
+	make test || exit 1
+	make install || exit 1
+	
+	cd $PKGROOT
+	makepkg -l y -c n $CWD/$NAME.pkg > /dev/null &&
+	echo $VER > $CWD/$NAME.version &&
+	arch > $CWD/$NAME.arch
+done
Index: npl/perl/perlmod_File_Slurp/perlmod_File_Slurp.arch
===================================================================
--- npl/perl/perlmod_File_Slurp/perlmod_File_Slurp.arch	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_File_Slurp/perlmod_File_Slurp.arch	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+i586
Index: npl/perl/perlmod_File_Slurp/perlmod_File_Slurp.build
===================================================================
--- npl/perl/perlmod_File_Slurp/perlmod_File_Slurp.build	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_File_Slurp/perlmod_File_Slurp.build	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+2
Index: npl/perl/perlmod_File_Slurp/perlmod_File_Slurp.depver
===================================================================
--- npl/perl/perlmod_File_Slurp/perlmod_File_Slurp.depver	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_File_Slurp/perlmod_File_Slurp.depver	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+perl	1
Index: npl/perl/perlmod_File_Slurp/perlmod_File_Slurp.md5
===================================================================
--- npl/perl/perlmod_File_Slurp/perlmod_File_Slurp.md5	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_File_Slurp/perlmod_File_Slurp.md5	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,4 @@
+7d584cd15c4f8b9547765eff8c4ef078  ./File-Slurp-9999.19.tar.gz
+56a370cf6412c63a3edb6a49040ecdf3  ./perlmod_File_Slurp.pkg
+0fb5f4fcb61317ff8fcf2678bf7bfd0c  ./perlmod_File_Slurp.SlackBuild
+37b58eac5161d884e182e9bfd870042f  ./perlmod_File_Slurp.SlackBuild.log.gz
Index: npl/perl/perlmod_File_Slurp/perlmod_File_Slurp.version
===================================================================
--- npl/perl/perlmod_File_Slurp/perlmod_File_Slurp.version	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_File_Slurp/perlmod_File_Slurp.version	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+9999.19
Index: npl/perl/perlmod_IO_Socket_SSL/buildmods.SlackBuild
===================================================================
--- npl/perl/perlmod_IO_Socket_SSL/buildmods.SlackBuild	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_IO_Socket_SSL/buildmods.SlackBuild	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,35 @@
+#!/bin/bash
+#DEP:perl
+#DEP:perlmod_Net_SSLeay
+#DEP:openssl
+
+#Standaard script voor Syn-3 perlmodules.
+#Dit script build alle perlmodule .tar.gz files in de huidige directory, en maakt
+#er Syn-3 packages van.
+
+CWD=`pwd`
+PKGROOT=`pwd`/pkgtmp
+
+for TAR in *.tar.gz; do
+	TARDIR=`echo $TAR|sed 's/.tar.gz//'` || exit 1
+	VER=`echo $TARDIR|sed 's/.*-//'` || exit 1
+	NAME=perlmod_`echo $TARDIR| sed 's/-[^-]*$//' | sed 's/-/_/g'` || exit 1
+	
+	rm -r $PKGROOT 2>/dev/null
+	mkdir -p $PKGROOT
+	
+	#standard way to build a perl module
+	cd $CWD || exit 1
+	export PERL_INSTALL_ROOT=$PKGROOT
+	tar -xzf $TAR || exit 1
+	cd $TARDIR || exit 1
+	perl Makefile.PL || exit 1
+	make || exit 1
+	make test || exit 1
+	make install || exit 1
+	
+	cd $PKGROOT
+	makepkg -l y -c n $CWD/$NAME.pkg > /dev/null &&
+	echo $VER > $CWD/$NAME.version &&
+	arch > $CWD/$NAME.arch
+done
Index: npl/perl/perlmod_IO_Socket_SSL/buildmods.depver
===================================================================
--- npl/perl/perlmod_IO_Socket_SSL/buildmods.depver	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_IO_Socket_SSL/buildmods.depver	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,3 @@
+perl	1
+perlmod_Net_SSLeay	0
+openssl	5
